#! /bin/bash

MNTPOINT=$1
echo "* MOUNTPOINT: ${MNTPOINT}"
ls -l ${MNTPOINT}

EMMCDIR=/ro/.host
SORACOMDIR=${EMMCDIR}/soracom

echo -n "* mount overlay partition... "
mount_overlay &> /dev/null
if [ "$?" = "0" ]; then
  echo "OK."
else
  echo "Failed."
  exit 1
fi

DIR_OK=1

if [ ! -d ${SORACOMDIR} ]; then
  echo -n "* creating SORACOM-boot Firmware directory... "
  mkdir -p ${SORACOMDIR} &> /dev/null
  if [ "$?" = "0" ]; then
    echo "OK."
  else
    echo "Failed."
    DIR_OK=0
  fi
else
  echo "* SORACOM-boot Firmware directory exists."
fi

EXITCODE=1

if [ "${DIR_OK}" = "1" ]; then
  echo -n "* copy SORACOM-boot initramfs firmware to ${SORACOMDIR}... "
  cp ${MNTPOINT}/soracom.img ${SORACOMDIR}/initramfs.img &> /dev/null
  if [ "$?" = "0" ]; then
    echo "OK."
    EXITCODE=0
    echo "--- File in SORACOM-boot Directory ---"
    ls -l ${SORACOMDIR}
  else
    echo "Failed."
  fi
fi

echo -n "* un-mount overlay partition... "
mount_overlay -u &> /dev/null
echo "OK."

exit ${EXITCODE}
